rpi-eeprom (28.28-0ubuntu1) stonking; urgency=medium

  * New upstream release. (LP: #2158366)
  * d/watch: Updated to v5 format

 -- Dave Jones <dave.jones@canonical.com>  Fri, 26 Jun 2026 09:10:30 +0100

rpi-eeprom (28.28-1) trixie; urgency=medium

  [ Tim Gover ]
  * rpi-bootloader-version: Show dates as UTC
  * pieeprom-2026-06-17: 2712: rpi-fw-crypto fine-grained locking (latest)

  [ Mathew Blowers ]
  * rpi-eeprom-update: Check flashrom version

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 22 Jun 2026 17:36:13 +0100

rpi-eeprom (28.27-1) trixie; urgency=medium

  * rpi-bootloader-version: vcgencmd bootloader_version replacement
  * versions: Update the list of bootloader verions
  * rpi-eeprom.install: Add rpi-bootloader-version and versions.txt

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 12 Jun 2026 16:08:26 +0100

rpi-eeprom (28.26-1) trixie; urgency=medium

  * docs: Describe scripts in this repo plus new version compatibility
    checks
  * recovery: 2712: Restore 2026-05-26 version

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 09 Jun 2026 16:44:44 +0100

rpi-eeprom (28.25-1) trixie; urgency=medium

  * firmware-2711: Remove old releases
  * firmware: 2712: Archive releases older than pieeprom-2026-05-26
  * rpi-eeprom-update: Always warn about manufacture version
    incompatibility
  * test: Change the install script to select 'latest' instead of 'beta'
  * rpi-sign-bootcode: debug: Extract signature block fields

 -- Tim Gover <tim.gover@raspberrypi.com>  Sat, 06 Jun 2026 09:26:11 +0100

rpi-eeprom (28.24-1) trixie; urgency=medium

  * fixup: Add pieeprom-2026-05-26.bin to 2712 default release

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 27 May 2026 15:13:12 +0100

rpi-eeprom (28.23-1) trixie; urgency=medium

  * rpi-eeprom-update: Increase BOOT_VER to 1 for 2711

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 27 May 2026 12:36:15 +0100

rpi-eeprom (28.22-1) trixie; urgency=medium

  [ Tim Gover ]
  * pieeprom-2026-05-26: 2712: Make Pi 5 use the correct entropy source
    for kaslr-seed and rng-seed (latest)
  * pieeprom-2026-05-26: 2712: Promote to the (default) release

  [ Jan Čermák ]
  * rpi-eeprom-update: scan only /dev/mmcblk0p1 in findBootFS

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 27 May 2026 09:01:32 +0100

rpi-eeprom (28.21-1) trixie; urgency=medium

  * debian: Make rpieepromab a recommended package
  * pieeprom-2026-05-22: 2712: Allow string values to enable fragments
    (latest)
  * pieeprom-2026-05-17: 2711: Promote to the (default) release

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 26 May 2026 10:58:23 +0100

rpi-eeprom (28.20-1) trixie; urgency=medium

  [ Mathew Blowers ]
  * Support AB updates
  * rpi-eeprom-update: Check RPI_EEPROM_IMMEDIATE_UPDATE after initialised

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 21 May 2026 15:15:41 +0100

rpi-eeprom (28.19-1) trixie; urgency=medium

  * pieeprom-2026-05-20: recovery: 2712: reboot order and reboot arg
    option (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 20 May 2026 17:07:48 +0100

rpi-eeprom (28.18-1) trixie; urgency=medium

  [ Serge Schneider ]
  * salsa-ci: Remove custom definitions (fixed in salsa-ci)

  [ Tim Gover ]
  * pieeprom-2026-05-13: 2712: Add support for A/B bootloader updates
    (latest)
  * pieeprom-2026-05-17: 2712: rpi-fw-crypto can get and set key usage in
    otp (latest)
  * pieeprom-2026-05-17: 2711: Update Broadcom SDRAM firmware to 2.35
    (latest)
  * versions.txt: Add MFG ver and align columns

  [ martamomotko ]
  * rpi-eeprom-update: Add bootloader minimum version checks

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 19 May 2026 15:36:20 +0100

rpi-eeprom (28.17-1) trixie; urgency=medium

  [ Mathew Blowers ]
  * rpi-eeprom-update: Add flashrom check for unknown flash

  [ Tim Gover ]
  * pieeprom-2026-05-11: 2712: Set bootloader mfg version id to 1 (latest)
  * pieeprom-2026-05-11: 2712: Promote to the default release

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 11 May 2026 15:56:10 +0100

rpi-eeprom (28.16-1) trixie; urgency=medium

  * pieeprom-2026-04-27: 2712: Broadcom SDRAM firmware update to 4.72
    (latest)
  * tools: Add versions table
  * pieeprom-2026-04-30: 2712: arm_boot: Enable turbo clocks before
    loading the kernel (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 07 May 2026 14:06:16 +0100

rpi-eeprom (28.15-1) trixie; urgency=medium

  [ Nicolai Buchwitz ]
  * rpi-eeprom-update: add CM4S (board_type 21) support

  [ Tim Gover ]
  * help: copy-edit
  * pieeprom-2026-02-23: 2711: Fix partition walk for boot_ramdisk /
    secure_boot (latest)
  * pieeprom-2026-02-23: 2712: Fix partition walk for boot_ramdisk /
    secure-boot (latest)
  * pieeprom-2026-04-14: 2711: Update the Broadcom SDRAM firmware to v2.34
    (latest)
  * pieeprom-2026-04-14: 2712: Update recovery.bin to support more SDRAM
    variants (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 20 Apr 2026 11:39:50 +0100

rpi-eeprom (28.14-0ubuntu1) resolute; urgency=medium

  * New upstream release.

 -- Dave Jones <dave.jones@canonical.com>  Wed, 04 Mar 2026 14:20:34 +0000

rpi-eeprom (28.14-1) trixie; urgency=medium

  [ Tim Gover ]
  * salsa-ci: Remove extract-source section
  * help: copy-edit
  * pieeprom-2026-02-23: 2711: Fix partition walk for boot_ramdisk /
    secure_boot (latest)
  * pieeprom-2026-02-23: 2712: Fix partition walk for boot_ramdisk /
    secure-boot (latest)

  [ Nicolai Buchwitz ]
  * rpi-eeprom-update: add CM4S (board_type 21) support

  [ Serge Schneider ]
  * d/salsa-ci.yml: Fetch master branch before building

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 26 Feb 2026 19:23:57 +0000

rpi-eeprom (28.13-1) trixie; urgency=medium

  * pieeprom-2026-01-16: 2712: Assume eMMC for CM4/CM5 (latest)
  * pieeprom-2026-01-21: 2712: Fix bad HMAC arguments lockup (latest)
  * firmware: Archive old 'latest' release binaries
  * pieeprom-2026-02-06: 2711: Add support for customer OTP rows in
    conditional expressions (latest)
  * pieeprom-2026-02-06: 2712: config: Add support for customer OTP rows
    in conditional expressions (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 10 Feb 2026 13:36:43 +0000

rpi-eeprom (28.12-1) trixie; urgency=medium

  * pieeprom-2026-01-09: 2711: Promote to the default release

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 13 Jan 2026 22:20:35 +0000

rpi-eeprom (28.11-1) trixie; urgency=medium

  * imager: make-imager-release: Automatically select latest default
    EEPROM date
  * rpi-eeprom-config: Use time.monotonic for timeouts instead of wall
    clock
  * pieeprom-2026-01-09: 2711: arm_loader: Apply rpifwcrypto lock
    permissions GET/SET USER OTP (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 12 Jan 2026 11:58:03 +0000

rpi-eeprom (28.10-1) trixie; urgency=medium

  * pieeprom-2025-12-08: 2711: Add machine ID derived from OTP values
    (latest)
  * pieeprom-2025-12-08: 2712: arm_loader: Add machine ID derived from OTP
    values (latest)
  * pieeprom-2025-12-08: 2712: 2711: Promote to the default release

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 09 Dec 2025 09:41:27 +0000

rpi-eeprom (28.9-1) trixie; urgency=medium

  [ Lincoln Thurlow ]
  * Fix the error message for config signing

  [ Tim Gover ]
  * imager: Delete temporary release-2711, release-2712 directories
  * pieeprom-2025-11-21: 2712: Allow longer overlay file paths (latest)
  * pieeprom-2025-11-21: 2711: recovery: Restore recovery_wait option
    (latest)
  * tools: imager: Add make-pi4-rpiboot-gpio-sd
  * pieeprom-2025-11-27: 2712: Stop partition-walk after boot-mode
    timeout/retries limit (latest)
  * pieeprom-2025-11-27: 2711: helpers/config_loader: Also support
    bootvar0 eeprom config on Pi4 (latest)

  [ Phil Elwell ]
  * tools: imager: make-pi4-rpiboot-gpio-sd: Minor typos

  [ Andrew Scheller ]
  * Fix remaining typo

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 01 Dec 2025 12:07:17 +0000

rpi-eeprom (28.8-1) trixie; urgency=medium

  * 2025-11-09: Promote 2025-11-05 to the default release (default)
  * imager: Move the imager release to 2025-11-05

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 10 Nov 2025 09:30:12 +0000

rpi-eeprom (28.7-1) trixie; urgency=medium

  * pieeprom-2025-11-05: 2711: arm_loader: Add
    iommu_dma_numa_policy=interleave when needed (latest)
  * pieeprom-2025-11-05: 2712: arm_loader: Add
    iommu_dma_numa_policy=interleave when needed (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 06 Nov 2025 12:30:21 +0000

rpi-eeprom (28.6-1) trixie; urgency=medium

  * pieeprom-2025-09-22: 2712: Add LZ4 decompressor (latest)
  * pieeprom-2025-09-22: 2711: Add LZ4 decompressor (latest)
  * pieeprom-2025-09-23: 2711: Fix network install regression on Pi4
    (latest)
  * pieeprom-2025-09-23: 2712: Fix TFTP to allow larger files (latest)
  * pieeprom-2025-09-25: 2712: Apply UART_BAUD in early bootsys UART init
    (latest)
  * pieeprom-2025-10-03: 2711: arm_dt: Report OTP SDRAM size via device-
    tree (latest)
  * pieeprom-2025-10-08: 2711: Fix accidental set of PM_RSTS bit 5 when
    stopping watchdog (latest)
  * pieeprom-2025-10-08: 2712: Fix accidental set of PM_RSTS bit 5 when
    stopping watchdog (latest)
  * pieeprom-2025-10-14: 2711: Use ROM boot-mode flag to detect rpiboot
    mode (latest)
  * pieeprom-2025-10-17: Enable background refresh on 2712d0 for all SDRAM
    sizes (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 17 Oct 2025 15:32:24 +0100

rpi-eeprom (28.5-1) trixie; urgency=medium

  [ Tim Gover ]
  * rpi-otp-private-key: Fix missing escape character in usage text
  * pieeprom-2025-08-27: 2711: Fix PARTITION property to allow default (0)
    partition property to be overridden (latest)
  * pieeprom-2025-08-27: 2712:  Fix PARTITION property to allow default
    (0) partition to be overridden (latest)

  [ Andrew Scheller ]
  * Add link to old 2712 EEPROM images to releases.md page

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 08 Sep 2025 17:06:35 +0100

rpi-eeprom (28.4-1) trixie; urgency=medium

  * pieeprom-2025-08-13: 2711: Enable PARTITION_WALK property by default
    (latest)
  * pieeprom-2025-08-13: 2712: Enable the PARTITION_WALK property by
    default (latest)
  * rpi-eeprom-config: Improve No space available error message
  * pieeprom-2025-08-20: 2711: Fix PARTITION_WALK for missing start.elf
    files (latest)
  * pieeprom-2025-08-20: 2712: force_eeprom_read=0 disables HAT I2C
    (latest)
  * rpi-otp-private-key: Describe how to store an ECDSA P-256 private key

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 21 Aug 2025 14:31:12 +0100

rpi-eeprom (28.3-2) trixie; urgency=medium

  * Switch gbp.conf debian branch to pios/trixie
  * Add libpython3-stdlib to build dependencies

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 29 Jul 2025 12:58:15 +0100

rpi-eeprom (28.3-1) bookworm; urgency=medium

  * pieeprom-2025-06-13: 2712: Update to include production test changes
    (latest)
  * pieeprom-2025-06-20: 2712: Add support for a bootloader watchdog
    (latest)
  * pieeprom-2025-06-29: 2712: Check for SD card overcurrent on Pi5 and
    Pi500 (latest)
  * pieeprom-2025-07-03: 2712: Enable firmware UART output on the 40-pin
    header (latest)
  * 2712: Archive releases older than 2025-05-08
  * pieeprom-2025-07-03: 2711: Check for SD card overcurrent (latest)
  * 2711: Archive releases older than 2025-05-08
  * pieeprom-2025-07-17: 2712: arm_loader: Also require the early-watchdog
    property (latest)
  * pieeprom-2025-07-17: 2711: Also require the early-watchdog property
    (latest)
  * release-notes: s/bootarg0/bootvar0/
  * pieeprom-2025-07-17: 2712: Fix config key search which could cause
    camera_autodetect to fail (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 22 Jul 2025 14:28:08 +0100

rpi-eeprom (28.2-1) bookworm; urgency=medium

  * pieeprom-2025-06-09: 2712: NVMe: Fix loading of files > 32MB (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 09 Jun 2025 14:05:03 +0100

rpi-eeprom (28.1-1) bookworm; urgency=medium

  * tools: Add the network install public key
  * 2711: Change the automatic update minimum version to 2025-05-08
  * 2711: release-notes: Add (automatic) tag

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 04 Jun 2025 10:12:46 +0100

rpi-eeprom (28.0-1) bookworm; urgency=medium

  * 2712: Change the automatic update minimum version to 2025-05-08

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 19 May 2025 17:20:27 +0100

rpi-eeprom (27.10-1) bookworm; urgency=medium

  * imager: 2712: 2711: Update to the 2025-05-08 firmware
  * pieeprom-2025-05-16: 2711: Automatically set revoke_devkey if
    program_pubkey=1 (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 19 May 2025 11:28:41 +0100

rpi-eeprom (27.9-1) bookworm; urgency=medium

  * pieeprom-2025-05-08: 2712: Promote to the default release
  * pieeprom-2025-05-08: 2711: Promote to the default release

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 14 May 2025 18:44:11 +0100

rpi-eeprom (27.8-1) bookworm; urgency=medium

  * pieeprom-2025-05-08: 2712: Implement TCP window for net boot (latest)
  * pieeprom-2025-02-24: 2711: Implement TCP window for net boot (latest)
  * pieeprom-2025-05-08: 2711: Implement TCP window for net boot (latest)

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 08 May 2025 17:47:26 +0100

rpi-eeprom (27.7-1) bookworm; urgency=medium

  * pieeprom-2025-03-27: 2712: os_check: cm5: Check for CM5 specific DTBs
    (latest)
  * rpi-sign-bootcode: Add optional callout to HSM wrapper script from
    PKCS#1 v1.5 signature
  * pieeprom-2025-04-07: 2712: Revert to using the max fan speed (latest)
  * test: Add github workflow for test-rpi-eeprom-config
  * test: Add a README
  * Update maintainer

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 07 May 2025 18:31:29 +0100

rpi-eeprom (27.6-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2025-03-10-12: Promote 2025-10-03 to the default release
  * firmware: 2712: Archive old '2712' 'latest' firmware
  * pieeprom-2025-03-19: 2712: Log the fan speed at boot (latest)

  [ Nicolai Buchwitz ]
  * bug_report template: Add missing CM5 + pi500

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 24 Mar 2025 13:11:55 +0000

rpi-eeprom (27.5-0ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:38:37 +0100

rpi-eeprom (27.5-0ubuntu2) questing; urgency=medium

  * d/p/fix-rust-coreutils.patch: Patch rpi-eeprom-update to work with od from
    rust-coreutils (LP: #2122625)
  * d/control: Switched build-dep to python3 from python3-minimal as the
    latter does not appear to allow importing shutil (causing FTBFS)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 12 Sep 2025 10:23:21 +0100

rpi-eeprom (27.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2094834)
  * Fixes compatibility with Pi 5 16GB memory timings
  * d/control: Bump standards version to 4.7.0
  * d/control: Remove references to libraspberrypi-bin (oldlib)
  * d/rpi-eeprom-firmware.install: Use non-aliased location (/usr/lib)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 Mar 2025 11:06:58 +0000

rpi-eeprom (27.5-1) bookworm; urgency=medium

  [ Tim Gover ]
  * image: Update 2711 plus 2712 images and enable boot-menu on 2711
  * pieeprom-2025-03-03: 2712: Fix bootloader pull configuration on
    BCM2712D0 (latest)
  * pieeprom-2025-03-10: 2712: Add [boot_partition] filter plus SDRAM init
    fixes (latest)

  [ Rasmus Villemoes ]
  * rpi-eeprom-digest: support specifying keys via PKCS#11 URI

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 11 Mar 2025 08:56:32 +0000

rpi-eeprom (27.4-1) bookworm; urgency=medium

  * pieeprom-2025-02-12: 2712: Promote to default release
  * license: Update wildcards for firmware
  * firmware: 2712: Fixup commit to promote 2025-02-12 release

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 18 Feb 2025 09:42:04 +0000

rpi-eeprom (27.3-1) bookworm; urgency=medium

  * gpb: Use pios/bookworm branch

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 17 Feb 2025 19:08:41 +0000

rpi-eeprom (27.2-1) bookworm; urgency=medium

  * pieeprom-2025-02-11-2711: Promote to default release
  * pieeprom-2025-02-12: 2712: Promote to default release

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 17 Feb 2025 10:45:32 +0000

rpi-eeprom (27.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: 2712: Move imager release to 2025-01-22
  * pieeprom-2025-01-27: 2712: Add PARTITION_WALK option (latest)
  * pieeprom-2025-02-11: 2712: CM5 no-wifi stability improvements (latest)
  * pieeprom-2025-02-11: 2711: Walk partitions to delete recovery.bin
    (latest)
  * pieeprom-2025-02-12: 2712: Fixup change to disable 3.7V WiFi power on
    CM5 no-wifi (latest)

  [ Serge Schneider ]
  * salsa-ci: minimise yaml file and set variables on group level instead

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 14 Feb 2025 08:12:22 +0000

rpi-eeprom (27.0-1) bookworm; urgency=medium

  [ Serge Schneider ]
  * salsa-ci: remove default runner tag
  * salsa-ci: enable aptly
  * salsa-ci: set GIT_STRATEGY to 'clone'
  * salsa-ci: fix minor typo
  * salsa-ci: Add rpi jobs

  [ Tim Gover ]
  * scripts: Failover to /usr/lib before /lib if FIRMWARE_ROOT is not set
  * test: Update test script
  * pieeprom-2025-01-22: 2712: Add DT property for hash of signed boot
    image (latest)
  * 2025-01-22: 2712: Promote 2025-01-22 to default release (default)

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 22 Jan 2025 10:28:39 +0000

rpi-eeprom (26.9-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2025-01-13: 2712: Improved SDRAM refresh timings for Pi5 -
    16GB (latest)
  * pieeprom-2025-01-14: 2712: Add set_reboot_order API (latest)

  [ Serge Schneider ]
  * Add salsa-ci.yml

  [ andrum993 ]
  * 2712 release-notes.md: correct name of new config parameter

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 17 Jan 2025 16:05:43 +0000

rpi-eeprom (26.8-2) bookworm; urgency=medium

  * Move files from /lib to /usr/lib
  * Bump standards version to 4.6.2
  * Bump compat version to 12
  * Update lintian-overrides

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Jan 2025 14:56:01 +0000

rpi-eeprom (26.8-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-12-19: 2712: Disable PWM fan at shutdown (POWER_OFF_ON_HALT=0) (latest)
  * pieeprom-2025-01-06: 2712: Stop the fan after fan-probe (latest)
  * pieeprom-2025-01-07: 2712: Fixup M.2 HAT+ detection (latest)
  * pieeprom-2025-01-08: 2712: Update SDRAM timings for BCM2712D0 products (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Jan 2025 08:45:31 +0000

rpi-eeprom (26.7-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Add retries and verification to flashrom stage
  * rpi-eeprom-config: Increase default timeouts
  * rpi-eeprom-config: Remove misleading message about cancelling updates
  * rpi-eeprom-update: Update user prompt to indicate how to install update immediately
  * pieeprom-2024-12-15: 2712: Add net install to boot menu (latest)

  [ Phil Elwell ]
  * bug_report template: Be more precise about the UART pins

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 18 Dec 2024 09:03:39 +0000

rpi-eeprom (26.6-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: remove unused boot-conf-default.txt files
  * image: 2712: Update config for POWER_OFF_ON_HALT and NET_INSTALL_AT_POWER_ON
  * imager: Update 2712 imager release to 2024-11-12
  * pieeprom-2024-11-27: 2712: rp1fw: Add FIFO_STATE & DRAIN_TX, fix CAN_ADD_PROGRAM (latest)
  * pieeprom-2024-12-07: 2711: 2712: Enable NUMA by default (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 09 Dec 2024 18:10:36 +0000

rpi-eeprom (26.5-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom: 2024-11-12-2712: Promote 2024-11-12 to default release (default)

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 22 Nov 2024 17:10:51 +0000

rpi-eeprom (26.4-1) bookworm; urgency=medium

  [ Rasmus Villemoes ]
  * rpi-eeprom-digest: honour SOURCE_DATE_EPOCH

  [ Tim Gover ]
  * 2712: release-notes: Update note for min supported version
  * pieeprom: 2024-11-12-2712: Enable initial_turbo=60 by default (latest)
  * imager: gitignore: Ignore the imager build directories

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 10:36:28 +0000

rpi-eeprom (26.3-0ubuntu2) plucky; urgency=medium

  * Include Breaks/Replaces on rpi-eeprom-firwmare to ensure partial upgrades
    from earlier version can succeed

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jan 2025 14:36:32 +0000

rpi-eeprom (26.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2085903)
  * rpi-eeprom-firmware: Split firmware binaries into new package to permit it
    to be installed on all archs as dependency of newer rpiboot

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Nov 2024 13:35:23 +0000

rpi-eeprom (26.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * 2024-11-07: recovery.bin - Update default release to latest version (default)

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Nov 2024 16:52:37 +0000

rpi-eeprom (26.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * firmware: 2712: Archive old releases
  * firmware: 2711: Archive firmware older than the last automatic update (2023-01-11)
  * pieeprom-2024-11-05: 2712: NUMA - Add system_heap.max_order=0 when needed (latest)

  [ Andrew Scheller ]
  * Fix release-notes typo

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Nov 2024 18:35:03 +0000

rpi-eeprom (26.1-1) bookworm; urgency=medium

  [ Harry Horsperg ]
  * Update release-notes.md

  [ Andrew Scheller ]
  * Add missing 'sudo' to rpi-eeprom-config's help-text

  [ Tim Gover ]
  * 2024-10-10: 2712: Add support to override the boot-mode at power on (latest)
  * 2024-10-10: 2711: Use soft-reset to preseve SDRAM contents after ramoops (latest)
  * release-notes: Additional updates for the 2024-10-10 release
  * image: Add release-fw helper script
  * pieeprom- 2024-10-21: 2712: 2711: Fix PCIe BAR issue for some switches  (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Oct 2024 17:27:28 +0100

rpi-eeprom (26.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: 2712: Move to the 2024-09-10 release
  * pieeprom-2024-09-23: 2712: SDRAM performance tuning (latest)
  * 2024-09-24: 2712: Promote 2024-09-23 release (default) (automatic update)

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Sep 2024 13:49:40 +0100

rpi-eeprom (25.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-config: Increase the timeout for flashrom shell-cmd

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 17 Sep 2024 11:33:34 +0100

rpi-eeprom (25.1-1) bookworm; urgency=medium

  [ andrum993 ]
  * 2712 release-notes.md: fix typo

  [ Tim Gover ]
  * pieeprom-2024-09-10: 2712: Fix filename

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 21:48:48 +0100

rpi-eeprom (25.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * image: Update 2712 release to 2024-07-30
  * pieeprom-2024-09-05: 2712: 2711: Fix self-update if EEPROM is write-protected (latest)
  * 2024-09-10: 2712: Fix lockup on 7" DSI panel clones (latest)
  * pieeprom-2024-10-09: 2712: Promote to default release (automatic update)

  [ andrum993 ]
  * Update release-notes.md

  [ Nicolai Buchwitz ]
  * Fix docs link to CM4 bootloader

  [ Serge Schneider ]
  * Update package description to include Pi 5
  * d/c: Remove libraspberrypi-bin from Depends

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 14:52:15 +0100

rpi-eeprom (24.0-1ubuntu1) oracular; urgency=medium

  * New upstream release
  * Add support for CM5 (LP: #2080368)
  * Fixes NVMe boot for Western Digital SN550 drives (LP: #2078806)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Sep 2024 13:34:14 +0100

rpi-eeprom (24.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: Bump 2712 release to 2024-06-05
  * imager: make-release: Drop the 'default' (unused) BOOT_ORDER release zip
  * pieeprom-2024-07-25: 2712: Support CM4 nEXTRST on CM5
  *  2024-07-05: 2711: (recovery.bin) - Enable program_rpioboot_gpio - (latest)
  * rpi-eeprom-digest: Fix help text regarding secure-boot support
  * rpi-eeprom-update: Don't display the cancel/revert message in flashrom mode
  * pieeprom-2024-07-30: 2711:  USB boot fixes for CM4-S and interop improvments
    (latest)
  * pieeprom-2024-07-30: 2712: Optimized SDRAM timings for Pi5 8GB (latest)
  * 2024-08-14 - (recovery.bin) Add support for OTP metadata (latest)
  * pieeprom: 2024-07-30: 2712: Promote the 2024-07-30 release to default
    (default)

  [ andrum993 ]
  * release-notes.md: update heading formatting for older releases
  * Update release-notes.md
  * BCM2712 release-notes.md - correct notes for most recent 2 releases

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Aug 2024 01:18:51 +0100

rpi-eeprom (23.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * 2024-06-04: 2712: Fix [pi5] config.txt conditional state (latest)
  * 2024-06-05: 2712: CM5 bringup changes (latest)
  * pieeprom-2024-06-05: 2712: Promote pieeprom-2024-06-05 to the default release (default)

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 12 Jun 2024 10:04:44 +0100

rpi-eeprom (23.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * LICENSE: Update for qrcodegen
  * 2024-05-13: 2712: Add support for NVMe boot with PCIe switches (latest)
  * pieeprom-2024-05-17: 2711: Ignore bootloader updates for Pi5 on Pi4 - (latest)
  * pieeprom: 2024-05-17: 2712: Ignore bootloader updates for Pi5 on Pi4 - (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 20 May 2024 06:17:25 +0100

rpi-eeprom (23.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-04-20: 2712: Fix SDRAM default refresh timings

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 20 Apr 2024 13:07:22 +0100

rpi-eeprom (22.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-config: Process bootcode arg with other file replacements
  * rpi-eeprom-config: Add --debug flag to args
  * pieeprom-2024-04-17: 2712: 2711: Build Pi4 and Pi5 firmware from the same branch
  * pieeprom-2024-04-18: 2712: Update RP1 firmware to extend PCIe L1 entry timeout to 32 us (latest)
  * pieeprom-2024-04-17: 2712: Promote to default release (automatic update)

  [ Andrew Scheller ]
  * rpi-eeprom-config: fix rpi-eeprom-dgst typo in usage-text

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 10:48:18 +0100

rpi-eeprom (21.6-1) bookworm; urgency=medium

  [ Cody Scott ]
  * Remove variable expansion in arithmetic

  [ Tim Gover ]
  * pieeprom-2024-04-15: 2711: Fix tryboot mode in secure-boot - STABLE
  * pieeprom-2024-04-15: 2711: Promote stable release to DEFAULT

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 16 Apr 2024 10:01:53 +0100

rpi-eeprom (21.5-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Output warnings to stderr
  * rpi-eeprom-update: Only check for flashrom during an update
  * tools: rpi-otp-private-key: Update to same version as usbboot
  * tools: Preliminary tool support for signed-boot on 2712
  * tools: rpi-eeprom-digest: Improve docs for secure-boot
  * 2024-04-05: 2712: HAT+ fixes for max-current, custom CA cert for net install and enable over-clocking to > 3GHz (latest)

  [ Peter Harper ]
  * Add new cacertder option

  [ Serge Schneider ]
  * Install tools/ and add python3-pycryptodome dependency

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 05 Apr 2024 15:22:05 +0100

rpi-eeprom (21.4-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager-release: 2712: Bump to 2024-02-16
  * rpi-eeprom-update: Use flashrom by default on Pi5

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 27 Feb 2024 13:50:35 +0000

rpi-eeprom (21.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-02-08: 2712: Adjust SDRAM refresh based on temperature (latest)
  * 2024-02-14: 2712: Adjust SDRAM refresh based on temperature (latest)
  * 2024-02-16: 2712: u-boot loading and thermal throttling fixes (latest) (default)

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 19:46:59 +0000

rpi-eeprom (21.2-1) bookworm; urgency=medium

  [ Peter Harper ]
  * 2024-01-24: NVMe boot fix for WD NVMe (latest)

  [ Shogo Yamazaki ]
  * Print warning when flashrom is not found, instead of silently ignoring it

  [ Tim Gover ]
  * pieeprom-2024-02-05: 2712: Add support for HAT+ POE HATs (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 06 Feb 2024 19:07:49 +0000

rpi-eeprom (21.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-01-15: 2712: Add support for network-install (latest)
  * 2024-01-18: 2711: Fix issue with minimal sized FAT partition - STABLE
  * pieeprom-2024-01-22: 2711: Fix issue boot.img end sector check - STABLE
  * 2024-01-22: 2712: Fixes for small boot.img files + SD CD indicator (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 22 Jan 2024 17:18:45 +0000

rpi-eeprom (21.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-01-05: 2712: Fix handling of FAT files without LFNs.
  * pieeprom-2024-01-05: 2712: Promote to default (automatic update)
  * Update RPi Imager release to 2024-01-05

  [ TrevorM ]
  * Updated documentation links

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 08 Jan 2024 13:42:41 +0000

rpi-eeprom (20.5-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: Update imager release to 2023-12-06
  * pieeprom-2023-12-14: 2712: Fix boot partition parameter (latest)
  * rpi-eeprom-update: Tweak chipNotSupported message
  * pieeprom-2023-12-14: 2712: Promote pieeprom-2023-12-14 to default

  [ Andrew Scheller ]
  * Fix typo in warning message
  * rpi-eeprom-update: Fix package-names in error messages

  [ Pavel Djundik ]
  * Check that `strings` exists, suggest installing `binutils`

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 04 Jan 2024 11:10:49 +0000

rpi-eeprom (20.4-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:41 +0200

rpi-eeprom (20.4-1ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2047697)
  * Adds NVMe boot support on the Pi 5

 -- Dave Jones <dave.jones@canonical.com>  Fri, 29 Dec 2023 13:30:33 +0000

rpi-eeprom (20.4-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: 2712: Add NVMe into default boot configurations
  * pieeprom-2023-12-12: 2712: Promote 2023-12-06 to default release.

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Dec 2023 09:56:48 +0000

rpi-eeprom (20.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom: Disable the dpkg checksum validation by default
  * pieeprom-2023-12-06: 2712: Initialise DWC PHY (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 11 Dec 2023 09:01:56 +0000

rpi-eeprom (20.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Add the option to use flashrom for updates on Raspberry Pi 5
  * pieeprom-2023-11-20: 2712: Auto-detect support for PCIe expansion HAT (default + latest)

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 22 Nov 2023 19:01:42 +0000

rpi-eeprom (20.1-3) bookworm; urgency=medium

  * d/c: Remove raspi-firmware dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 16 Nov 2023 09:42:43 +0000

rpi-eeprom (20.1-2) bookworm; urgency=medium

  * Fix dependencies for bookworm

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Nov 2023 13:16:11 +0000

rpi-eeprom (20.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-10-30: 2712: UPG watchdog support + SD reset fixes (default + latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 06 Nov 2023 14:50:44 +0000

rpi-eeprom (20.0-2) bookworm; urgency=medium

  [ TM ]
  * Fix /boot/firmware mount

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Oct 2023 09:07:00 +0100

rpi-eeprom (20.0-1) bookworm; urgency=medium

  [ Andrew Scheller ]
  * rpi-eeprom-update: Fix typos in usage text

  [ Tim Gover ]
  * rpi-eeprom-update: 2712: Bump the min version to pieeprom-2023-10-18
  * rpi-eeprom-update: Switch back to recovery.bin on Pi5

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Oct 2023 08:06:46 +0100

rpi-eeprom (19.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-10-18: 2712: Display autodetect + HAT gpiomap (default + latest)
  * Update releases.md
  * Update README.md
  * imager-release: Update for Pi5

  [ Andrew Scheller ]
  * Fix typo

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 19 Oct 2023 16:20:38 +0100

rpi-eeprom (19-1) bookworm; urgency=medium

  [ TM ]
  * Update URL for CM4 bootloader doc site

  [ Serge Schneider ]
  * If /boot/firmware is in fstab, use it as BOOTFS

  [ Tim Gover ]
  * firmware: Remove the beta release folder
  * test: install: Clean /lib/firmware/bootloader
  * Rename firmware to firmware-2711
  * firmware-2712: Create the 2712 firmware directory structure
  * scripts: Add support for chip-specific firmware directories
  * pieeprom-2023-09-13: 2712: Initial firmware release for Pi5
  * pieeprom-2023-09-21: 2712: Power button and ACT LED improvements
  * pieeprom-2023-09-21: 2712: Add recovery.bin for make-image-release
  * pieeprom-2023-09-28: 2712: vcgencmd pmic_read_adcs fixes
  * firmware-2711: Switch symlinks to use the standard release names

  [ Serge Schneider ]
  * d/c: update maintainer email
  * d/c: add raspi-firmware as an alternative to raspberryp-bootloader
  * d/c: set rpi-eeprom-images and rpi-eeprom architecture to all
  * d/gbp.conf: update debian-branch
  * Update packaging for split firmware directories
  * Change beta firmware to symlink
  * d/p/s: remove empty series file

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 04 Oct 2023 13:00:10 +0100

rpi-eeprom (18.4-1ubuntu1) mantic; urgency=medium

  * New upstream release (LP: #2037642)
  * Adds Raspberry Pi 5 support

 -- Dave Jones <dave.jones@canonical.com>  Thu, 28 Sep 2023 14:51:50 +0100

rpi-eeprom (18.4-1) bookworm; urgency=medium

  [ Tim Gover ]
  * make-imager-release: Update for 2712 builds
  * rpi-eeprom-update: FindBootFS - check for config.txt instead of *.elf on 2712
  * test-rpi-eeprom-config: Use firmware-2711 for regression tests
  * pieeprom-2023-09-21: 2712: Add recovery.bin for make-image-release
  * pieeprom-2023-09-25: 2712: Remove redundant WAKE_ON_GPIO parameter

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 26 Sep 2023 18:07:59 +0100

rpi-eeprom (18.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Fix recovery.bin probe on 2711
  * pieeprom-2023-09-21: 2712: Power button and ACT LED improvements

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 22 Sep 2023 15:16:21 +0100

rpi-eeprom (18.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-09-13: 2712: Initial firmware revision

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 14 Sep 2023 14:37:16 +0100

rpi-eeprom (18.1-1) bookworm; urgency=medium

  [ Peter Harper ]
  * pieeprom-2023-09-12: 2712: Power button changes
  * rpi-eeprom-update-default: Remove BOOTFS setting

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Sep 2023 15:58:56 +0100

rpi-eeprom (18.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-09-08: 2712: Update to latest release candidate
  * 2712: Remove early alpha-test EEPROM releases
  * test: install: Clean /lib/firmware/bootloader
  * Rename firmware to firmware-2711
  * firmware-2712: Create the 2712 firmware directory structure
  * firmware-2712: Pick top of tree binary to test
  * rpi-eeprom-update: Update scripts to support Pi5.
  * rpi-eeprom-update: pi5: Fix default firmware paths
  * pieeprom-2023-07-19: pi5: Initial internal release for 2712C1 Pi5B R3
  * test: install: Use rsync instead of cp and delete previous firmware directories
  * rpi-eeprom-update: Fix recovery.bin path for 2711
  * pieeprom-2023-08-01: pi5: Update latest Pi5 EEPROM
  * rpi-eeprom-update-default: Specify default instead of critical
  * pieeprom-2023-08-16: 2712: Update alpha-test bootloader
  * pieeprom-2023-08-22: 2712: Bump the minimum version for 2712
  * rpi-eeprom-update: Fix firmware-root setup
  * pieeprom-2023-09-07: 2712: Updates for power btn, USB-PD interop and network boot
  * firmware: Remove the beta release folder

  [ Serge Schneider ]
  * Update packaging for pi5 support

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Sep 2023 16:03:29 +0100

rpi-eeprom (17.0-1) bullseye; urgency=medium

  [ TM ]
  * Update URL for CM4 bootloader doc site

  [ Tim Gover ]
  * firmware: Remove the beta release folder

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 02 Aug 2023 14:54:30 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rpi-eeprom`.
